## org.apache.jasper.util
Class FastDateFormat

    java.lang.Object
      java.text.Format
          java.text.DateFormat
              org.apache.jasper.util.FastDateFormat

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class FastDateFormat
extends java.text.DateFormat

Fast date formatter that caches recently formatted date information and uses it to avoid too-frequent calls to the underlying formatter. Note: breaks fieldPosition param of format(Date, StringBuffer, FieldPosition). If you care about the field position, call the underlying DateFormat directly.

Author:
  Stan Bailes, Alex Chaffee
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.text.DateFormat
`java.text.DateFormat.Field`

Field Summary

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`FastDateFormat(java.text.DateFormat df)`

Method Summary
`java.lang.StringBuffer` `format(java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition)` Note: breaks functionality of fieldPosition param.
`static void` `main(java.lang.String[] args)`
`java.util.Date` `parse(java.lang.String text, java.text.ParsePosition pos)`

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastDateFormat

    public FastDateFormat(java.text.DateFormat df)

Method Detail

### parse

    public java.util.Date parse(java.lang.String text,
                                java.text.ParsePosition pos)

### format

    public java.lang.StringBuffer format(java.util.Date date,
                                         java.lang.StringBuffer toAppendTo,
                                         java.text.FieldPosition fieldPosition)

  Note: breaks functionality of fieldPosition param. Also: there's a bug in SimpleDateFormat with "S" and "SS", use "SSS" instead if you want a msec field.

### main

    public static void main(java.lang.String[] args)

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.